Subject: [bug#51565] PATCH: Update Yggdrasil to new protocol (important breaking changes)

From: raingloom <[email-masked]>
Date: Sun, 28 Nov 2021 21:47:38 +0100

On Mon, 22 Nov 2021 22:13:08 +0100
raingloom <[email-masked]> wrote:

> On Mon, 15 Nov 2021 14:10:46 +0000
> pukkamustard <[email-masked]> wrote:
> 
> > Thanks for this!
> > 
> > Some minor changes may be needed to make the linter happy:
> > 
> > raingloom <[email-masked]> writes:
> > 
> > [..]
> > 
> > > [3. text/x-patch;
> > > 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...  
> > 
> > Linter complains that a line is too long:
> > 
> > gnu/packages/golang.scm:8885:0: [email-masked]:
> > line 8885 is way too long (93 characters)
> > 
> > >
> > > [4. text/x-patch;
> > > 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...  
> > 
> > Linter complains about the synopsis. Maybe: "Go functions for
> > getting fixed width of characters or strings"?
> > 
> > Does seem like a bit of a duplication of the description...
> > 
> > > [5. text/x-patch;
> > > 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
> > >
> > > [6. text/x-patch;
> > > 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
> > >
> > > [7. text/x-patch;
> > > 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...  
> > 
> > Lines in descriptions are too long and should be wrapped.
> > 
> > A synopsis is required. Maybe: "Ironwood is a Go network routing
> > library using cryptographic keys as addresses"?
> 
> Heck, I think I meant to run the linter but it was getting late and I
> just wanted to be done with the patch. Well, here is an updated patch
> list.

Bump. Could someome merge this if everything is in order?